cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade 1.8 to 1.9.3 : error setProductFilter()

Upgrade 1.8 to 1.9.3 : error setProductFilter()

Hi There,

 

I just update my magento 1.8 to magento 1.9.3.8 exactly and I got this error as you can see on this picture

I searched everywhere, but i'm not able to solve this problem.

 

Do you have any ideas what is the cause of this problem ?

 

Best regards,

Valentin

2 REPLIES

Re: Upgrade 1.8 to 1.9.3 : error setProductFilter()

Hi @sliice_,

 

Maybe you can check this thread?

 

https://stackoverflow.com/questions/13757279/fatal-error-call-to-a-member-function-setproductfilter-...

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Upgrade 1.8 to 1.9.3 : error setProductFilter()

Hi @Damian Culotta,

 

Yes I have already follow this thread but nothing work.

 

I found something interesting, I got this error only when the method "isSaleable()" is used in the catalog module files "view.phtml" and "list.phtml" so I commented functions who use this method and the problem disappear.

 

But, now when I visit product page the same error appear only on products who use "Color" and "Size" tags, I thing the probleme is linked to products tags but I don't know why exactly.

 

Stack trace here

Stack trace